nxt.http.responses

## Class BlockResponseImpl

- java.lang.Object
- - nxt.http.responses.BlockResponseImpl

- All Implemented Interfaces:
    BlockResponse

      public class BlockResponseImpl
      extends java.lang.Object
      implements BlockResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockResponseImpl(JO blockJson)`
    `BlockResponseImpl(org.json.simple.JSONObject response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBaseTarget()`
    `java.lang.String` | `getBlock()`
    `long` | `getBlockId()`
    `byte[]` | `getBlockSignature()`
    `java.math.BigInteger` | `getCumulativeDifficulty()`
    `java.util.List<ChainTransactionId>` | `getExecutedPhasedTransactionIds()`
    `java.util.List<TransactionResponse>` | `getExecutedPhasedTransactions()`
    `byte[]` | `getGenerationSignature()`
    `java.lang.String` | `getGenerator()`
    `long` | `getGeneratorId()`
    `byte[]` | `getGeneratorPublicKey()`
    `java.lang.String` | `getGeneratorRs()`
    `int` | `getHeight()`
    `java.lang.String` | `getNextBlock()`
    `long` | `getNextBlockId()`
    `int` | `getNumberOfTransactions()`
    `java.util.List<byte[]>` | `getParentTransactionFullHashes()`
    `java.util.List<TransactionResponse>` | `getParentTransactions()`
    `byte[]` | `getPayloadHash()`
    `java.lang.String` | `getPreviousBlock()`
    `byte[]` | `getPreviousBlockHash()`
    `long` | `getPreviousBlockId()`
    `int` | `getTimestamp()`
    `long` | `getTotalFeeFQT()`
    `byte` | `getVersion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.http.responses.BlockResponse

      `create`

- - ### Constructor Detail

    - #### BlockResponseImpl

          public BlockResponseImpl(org.json.simple.JSONObject response)

    - #### BlockResponseImpl

          public BlockResponseImpl(JO blockJson)

  - ### Method Detail

    - #### getBlockId

          public long getBlockId()

      Specified by:
        `getBlockId` in interface `BlockResponse`

    - #### getBlock

          public java.lang.String getBlock()

      Specified by:
        `getBlock` in interface `BlockResponse`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `BlockResponse`

    - #### getGeneratorId

          public long getGeneratorId()

      Specified by:
        `getGeneratorId` in interface `BlockResponse`

    - #### getGenerator

          public java.lang.String getGenerator()

      Specified by:
        `getGenerator` in interface `BlockResponse`

    - #### getGeneratorRs

          public java.lang.String getGeneratorRs()

      Specified by:
        `getGeneratorRs` in interface `BlockResponse`

    - #### getGeneratorPublicKey

          public byte[] getGeneratorPublicKey()

      Specified by:
        `getGeneratorPublicKey` in interface `BlockResponse`

    - #### getTimestamp

          public int getTimestamp()

      Specified by:
        `getTimestamp` in interface `BlockResponse`

    - #### getNumberOfTransactions

          public int getNumberOfTransactions()

      Specified by:
        `getNumberOfTransactions` in interface `BlockResponse`

    - #### getTotalFeeFQT

          public long getTotalFeeFQT()

      Specified by:
        `getTotalFeeFQT` in interface `BlockResponse`

    - #### getVersion

          public byte getVersion()

      Specified by:
        `getVersion` in interface `BlockResponse`

    - #### getBaseTarget

          public long getBaseTarget()

      Specified by:
        `getBaseTarget` in interface `BlockResponse`

    - #### getCumulativeDifficulty

          public java.math.BigInteger getCumulativeDifficulty()

      Specified by:
        `getCumulativeDifficulty` in interface `BlockResponse`

    - #### getPreviousBlockId

          public long getPreviousBlockId()

      Specified by:
        `getPreviousBlockId` in interface `BlockResponse`

    - #### getPreviousBlock

          public java.lang.String getPreviousBlock()

      Specified by:
        `getPreviousBlock` in interface `BlockResponse`

    - #### getNextBlockId

          public long getNextBlockId()

      Specified by:
        `getNextBlockId` in interface `BlockResponse`

    - #### getNextBlock

          public java.lang.String getNextBlock()

      Specified by:
        `getNextBlock` in interface `BlockResponse`

    - #### getPayloadHash

          public byte[] getPayloadHash()

      Specified by:
        `getPayloadHash` in interface `BlockResponse`

    - #### getGenerationSignature

          public byte[] getGenerationSignature()

      Specified by:
        `getGenerationSignature` in interface `BlockResponse`

    - #### getPreviousBlockHash

          public byte[] getPreviousBlockHash()

      Specified by:
        `getPreviousBlockHash` in interface `BlockResponse`

    - #### getBlockSignature

          public byte[] getBlockSignature()

      Specified by:
        `getBlockSignature` in interface `BlockResponse`

    - #### getParentTransactionFullHashes

          public java.util.List<byte[]> getParentTransactionFullHashes()

      Specified by:
        `getParentTransactionFullHashes` in interface `BlockResponse`

    - #### getParentTransactions

          public java.util.List<TransactionResponse> getParentTransactions()

      Specified by:
        `getParentTransactions` in interface `BlockResponse`

    - #### getExecutedPhasedTransactionIds

          public java.util.List<ChainTransactionId> getExecutedPhasedTransactionIds()

      Specified by:
        `getExecutedPhasedTransactionIds` in interface `BlockResponse`

    - #### getExecutedPhasedTransactions

          public java.util.List<TransactionResponse> getExecutedPhasedTransactions()

      Specified by:
        `getExecutedPhasedTransactions` in interface `BlockResponse`